package com.rj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rj.entity.DictItem;

import java.util.Map;

/**
 * 字典项/配置项服务
 */
public interface IDictItemService extends IService<DictItem> {

    Map<String, Object> add(DictItem entity);

    Map<String, Object> update(DictItem entity);

    Map<String, Object> deleteById(String id);

    Map<String, Object> pageQuery(Integer current,
                                  Integer size,
                                  String tenantId,
                                  String name,
                                  String type,
                                  String microService,
                                  String valueRange);
}

